Subject: RE: [clisp-list] *load-path*

From: "Rohan Nicholls" <[email-masked]>
Date: Wed Jul 10 03:49:03 2002

>my init.lisp ends in this:

>(LOAD "config")    ; configuration parameters to be adjusted by the user

>(setq sys::*home-package* nil ext:*command-index* 0)

>(in-package "CL-USER")        ; make the default package the current one

>does yours?

Yes it does which is what was so odd.

>what does clisp -norc -x '*package*' say?

I have since recompiled the sources on cygwin and everything works although this time I didn't mess with the config.lisp file it gave me errors again.  On cygwin I get:

#<PACKAGE COMMON-LISP-USER>
Bye.

while on the windows version I get:

*PACKAGE*
*** - READ: input stream #<INPUT STRING-INPUT-STREAM> ends within an object
Bye.

I have reset the emacs to give me a choice of which version I use.  I have moved as much as I can to run on cygwin, so I will be using the cygwin version which seems to have more functionality, but this may be an illusion.  I will post a question about that on the list.

As to On Lisp, I have it on my harddrive, and I think I am ready to tackle it after a brief visit to the last part of ANSI Common Lisp.

Thanks for your help, it really cleared a lot up for me.

Rohan

-----Original Message-----
From: Marco Baringer [mailto:[email-masked]]
Sent: dinsdag 9 juli 2002 14:23
To: Rohan Nicholls
Subject: Re: [clisp-list] *load-path*

"Rohan Nicholls" <[email-masked]> writes:

> Thanks for your help.  I have been using the windows clisp setup,
> and it seems that the config.lisp starts by putting you in the "EXT"
> package, and not taking you out.  For some reason this causes

this is normal. usually files which define code associated to a
certain package make sure that before they start they're in the right
package. since everybody does this no one worrys about "resetting" the
package when they're done.

> problems even though at the end of init.lisp it puts you back in the
> "CL-USER" package(which makes me think that line is not getting
> evaluated), so I have just set it back in the config.lisp and that

my init.lisp ends in this:

(LOAD "config")    ; configuration parameters to be adjusted by the user

(setq sys::*home-package* nil ext:*command-index* 0)

(in-package "CL-USER")        ; make the default package the current one

does yours?

> seems to work.  But in figuring that out I started looking into
> init.lisp and having to understand how the packaging system works as
> it is very important to the way init.lisp is written.

init.lisp is "different." it is part of a compiler and so doesn't use
"best practices", it does what is needed in order to compile
CLISP. you should look at other packages (try clocc or cclan) to see
how package are normally used.

what does clisp -norc -x '*package*' say?

on my system:
/Users/marco $ ../bin/clisp -norc -x '*package*'
#<PACKAGE COMMON-LISP-USER>

as far as books go after you've been through cltl and ANSI Common Lisp
i would *strongly* suggest having a look at "On Lisp", also by Paul
Graham. he recently made the entire text available from his site
paulgraham.com.

-- 
-Marco
Ring the bells that still can ring.
Forget the perfect offering.
There's a crack in everything.
It's how the light gets in.
     -Isonard Cohen